## org.apache.myfaces.custom.regexprvalidator
Class RegExprValidator

    java.lang.Object
      org.apache.myfaces.custom.regexprvalidator.RegExprValidator

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.StateHolder, javax.faces.validator.Validator

public class RegExprValidator
extends java.lang.Object
implements javax.faces.validator.Validator, javax.faces.component.StateHolder

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  mwessendorf (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `REGEXPR_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the creditcard check fails.
`static java.lang.String` `VALIDATOR_ID` The standard converter id for this converter.

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`RegExprValidator()`

Method Summary
`java.lang.String` `getPattern()`
`boolean` `isTransient()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setPattern(java.lang.String string)`
`void` `setTransient(boolean newTransientValue)`
`void` `validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATOR_ID

    public static final java.lang.String VALIDATOR_ID

  The standard converter id for this converter.

  See Also:
    Constant Field Values

### REGEXPR_MESSAGE_ID

    public static final java.lang.String REGEXPR_MESSAGE_ID

  The message identifier of the `FacesMessage` to be created if the creditcard check fails.

  See Also:
    Constant Field Values

Constructor Detail

### RegExprValidator

    public RegExprValidator()

Method Detail

### validate

    public void validate(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent uiComponent,
                         java.lang.Object value)
                  throws javax.faces.validator.ValidatorException

  Specified by:
    `validate` in interface `javax.faces.validator.Validator`
  Throws:
    `javax.faces.validator.ValidatorException`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### getPattern

    public java.lang.String getPattern()

  Returns:
    the pattern, on which a value should be validated

### setPattern

    public void setPattern(java.lang.String string)

  Parameters:
    `string` - the pattern, on which a value should be validated